#ifndef _GENERADOR_DE_TERRENY_
#define _GENERADOR_DE_TERRENY_

#include <vector>

/*********************************************************************/
/*              class GeneradorTerreny                               */
/*   Classe que permet calcular un terreny amb valors de Z aleatoris */
/*********************************************************************/

class GeneradorTerreny
{
   public:
      GeneradorTerreny();
      ~GeneradorTerreny();
       
      void generaParticleDeposition( int, double, double );
      float *getDades();

   private:
      int iteracions; 
      int x_max, y_max;
      float max_desp, min_desp, desp;
      int particle_mode;
      float *altures;

      //int itMinDisp=100;
      //float terrainWaveSize = 3.0;
      //float terrainCircleSize  = 100.0;
      //int terrainRandomSeed = 0;
      //float roughness = 1.0;
      //int steps= 1;

      //std::vector<float> altures;        
      void suavitzar( float ); 
      void setParticleMode( int ); 
      void deposit( int, int );
      int iteracionsParticleDeposition( int );      
};

#endif //_GENERADOR_DE_TERRENYS_
