#ifndef INFODIALEG_H
#define INFODIALEG_H

#include <qvariant.h>
#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QLabel;

/*****************************************************************************************************************/
/*                                      class InfoDialeg : public QDialog                                        */
/*Classe que descriu una finestra de dialeg amb la qual es mostrarà la informació sobre les coordenades d'un punt*/
/*****************************************************************************************************************/

class InfoDialeg : public QDialog
{
    Q_OBJECT

public:
    InfoDialeg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~InfoDialeg();

    QLabel* xLabel;
    QLabel* yLabel;
    QLabel* zLabel;

    void modificaText( double, double, double );

protected:

protected slots:
    virtual void languageChange();

};

#endif // INFODIALEG_H
