/************
 * Fitxer: main.cpp
 * PTFC: Disseny d'una eina de modelat de terrenys i c�cul de corbes de nivell
 * Autor: Sergio Jaraiz Ojea
 * @ Gener 2006 
 * 
 */  

#include <qapplication.h>
#include "aplicaciowin.h"

int main( int argc, char ** argv ) 
{
    QApplication app( argc, argv );

    if ( !QGLFormat::hasOpenGL() ) {
	qWarning( "El sistema no té suport per OpenGL. Sortint." );
	return -1;
    }    
    
    AplicacioWin *w = new AplicacioWin();
    app.setMainWidget( w );
    w->setCaption( "Modelatge de terrenys" );
    w->show();
    
    //a.connect( &a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()) );
   
    return app.exec();
}
