#include "objecte.h"

/********************************************************************************************/
/*   Objecte::Objecte()                                                                   */
/*Constructor que inicialitza cadascuna de les variables globals de l'objecte Objecte creat*/
/********************************************************************************************/

Objecte::Objecte()
{ 
	tipus_objecte = INDEFINIT;
}

/*********************************************************/
/*   Objecte::Objecte(int t)                           */
/*Constructor que inicialitza el tipus del objecte creat*/
/*********************************************************/

Objecte::Objecte(int t)     
{ 
	tipus_objecte = t;
}

/*********************************/
/*   Objecte::~Objecte()         */
/*Destructor de la classe Objecte*/
/*********************************/

Objecte::~Objecte() {}

/*****************************************/
/*   int Objecte::tipusObjecte()       */
/*Mètode que retorna el tipus de objecte*/
/*****************************************/

int Objecte::tipusObjecte() const    
{ 
	return tipus_objecte;
}

/**************************************************/
/*   void Objecte::assignarTipusObjecte(int t)  */
/*Mètode que permet modificar el tipus delobjecte*/
/**************************************************/

void Objecte::assignarTipusObjecte(int t)
{ 
	tipus_objecte = t;
}
