#ifndef OBJECTE_H
#define OBJECTE_H

#include <math.h>
#include <vector>
#include <qcolor.h>
#include "geometriabasica.h"


/********************************************************************************************/
/*                           class Objecte                                                 */
/*   Classe abstracta que defineix els mètodes comuns per les figures geomètriques que conté*/
/********************************************************************************************/

class Objecte
{
	protected:
		/*Com a atribut tan sols disposem del tipus de oblecte del qual es tracta*/
		int tipus_objecte;
	public:
		Objecte(); /*Constructor per defecte que inicialitza el tipus de boundary a indefinit*/
		~Objecte();
		Objecte(int); /*Constructor amb parametres que permet indicar el tipus de boundary*/

		int tipusObjecte() const;
		void assignarTipusObjecte(int);
};

#endif
