#ifndef _REGIO
#define _REGIO

#include <iostream.h>
#include <vector.h>
#include "hiperbola.h"

#include "geometriabasica.h"

class Regio
{
	private:
		vector<Hiperbola> hiperboles;
	public:
		Regio();
		Regio(const Hiperbola &a, const Hiperbola &b, const Hiperbola &c);
		Regio(const Hiperbola &a, const Hiperbola &b);
		Regio(const Hiperbola &a);
		Regio(const vector<Hiperbola> &h);
		~Regio();
		
		vector<Hiperbola> getRegio()const ;
		Hiperbola getHiperbola(int posicio)const ;
		int numero_hiperboles()const ;
		
		int hiperbolaMaximRangX()const ;
		int hiperbolaMaximRangY()const ;
		int hiperbolaMaximRang()const; //tant pot ser RangX com RangY
		
		Punt2d getPuntNoPertanyHiperbola(int index_hiperbola)const ;
		
		void setRegio(vector<Hiperbola> h);
		void afegirHiperbola(const Hiperbola &h);
		
		bool prepararRegio();
		
		void pintarRegio(double lx, double ly)const;
		
		void afitarRegio(vector<bool> &rectangle,vector<vector<Punt2d > > &rect,bool &aconseguit)const;
		void pintarRegioAfitada(const vector<bool> & rectangle,const vector<vector<Punt2d> > &punts_rectangle)const;
		
		vector<vector<Punt2d> > mostrejar(const double &inc)const;
};

#endif

