#ifndef ZDIALEG_H
#define ZDIALEG_H

#include <qvariant.h>
#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QSlider;
class QLineEdit;
class QPushButton;

/*****************************************************************************************/
/*                           class ZDialeg : public QDialog                              */
/*   Classe que serveix per seleccionar el valor de Z a traves d'una finestra de dialeg  */
/*****************************************************************************************/

class ZDialeg : public QDialog
{
    Q_OBJECT

public:
    ZDialeg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~ZDialeg();

    QSlider* slider1;
    QLineEdit* lineEdit1;
    QPushButton* buttonOk;
    QPushButton* buttonCancel;

    double alcada();
    void limits( double, double );
    void per_defecte( double );

public slots:
    virtual void canviaValor(const QString&);
    virtual void canviaBarra(int);
    void acceptat();

protected:
    QHBoxLayout* layout1;
    //QSpacerItem* spacer2;
    QVBoxLayout* layout2;
    QHBoxLayout* layout3;
    //QSpacerItem* spacer1;

protected slots:
    virtual void languageChange();

private:
    double _alcada;
    bool blocked;    

};

#endif // ZDIALEG_H
