#ifndef ARESTA_H
#define ARESTA_H

#include <iostream.h>
#include "punt.h"

/*************************************************************************************************/
/*                                             class Aresta                                      */
/*   Classe Aresta que conté tots aquells mètodes que permeten tractar un objecte d'aquest tipus */
/*************************************************************************************************/

class Aresta
{
	private:
		Punt origen;
		Punt desti;
	public:
		Aresta () ; /*Constructor per defecte que inicialitza els punts que defineixen l'aresta*/
		Aresta (Punt, Punt) ; /*Constructor amb parametres*/

		/*Metodes que retornen els punts d'origen i desti de l'aresta*/
		Punt getOrigen() ;
		Punt getDesti() ;
		
		/*Metodes que permeten modificar els punts d'origen i de desti de l'aresta*/
		void setOrigen(Punt) ;
		void setDesti(Punt) ;
		
		Punt punt_mig();
		
		/*Mètode que retorna la mida de l'aresta*/
		double midaAresta(); 
} ;

#endif
