#include "poligonal.h"

Poligonal::Poligonal()
{
	tipus_objecte = POLIGONAL_VISIO;
}

Poligonal::Poligonal(vector<Punt> p)
{
	punts = p;
	tipus_objecte = POLIGONAL_VISIO;
}

Poligonal::~Poligonal()
{}

Segment Poligonal::getSegment(int pos)
{
	Segment s;
	if(pos>0 && pos<punts.size())
		s = Segment(punts[pos-1], punts[pos]);
	return s;
}

Punt Poligonal::getPunt(int pos)
{
	return punts[pos-1];
}

void Poligonal::afegirPunt(Punt p)
{
	punts.push_back(p);
}

int Poligonal::numero_de_punts()
{
	return punts.size();
}
