#ifndef POLIGONAL_H
#define POLIGONAL_H

#include <iostream.h>
#include <vector.h>
#include <vector>
#include "punt.h"
#include "geometriabasica.h"
#include "segment.h"
#include <math.h>

/**********************************************************************/
/*                     class Poligonal : public Objecte               */
/*   Classe Poligonal que conté una serie de punts units per segments */
/**********************************************************************/

class Poligonal : public Objecte
{
	protected:
		vector<Punt> punts;
	public:
		Poligonal();
		Poligonal(vector<Punt> p);
		~Poligonal();
		
		Segment getSegment(int pos);
		Punt getPunt(int pos);
		
		void afegirPunt(Punt p);
		
		int numero_de_punts();
};

#endif
