/************
 * Fitxer: valordialeg.h
 * PTFC: Disseny d'una eina de modelat de terrenys i c�cul de corbes de nivell
 * Autor: Sergio Jaraiz Ojea
 * @ Gener 2006 
 * 
 */  


#ifndef VALORDIALEG_H
#define VALORDIALEG_H

#include <qvariant.h>
#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QLabel;
class QLineEdit;
class QPushButton;

class ValorDialeg : public QDialog
{
    Q_OBJECT

public:
    ValorDialeg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~ValorDialeg();

    QLabel* textLabel1;
    QLineEdit* lineEdit1;
    QPushButton* pushButton8;
    QPushButton* pushButton9;

    QString valor();

protected:
    QVBoxLayout* ValorDialegLayout;
    QHBoxLayout* layout8;
    QHBoxLayout* layout9;

protected slots:
    virtual void languageChange();

private slots:
    void canviaValor( const QString & str );

private:
  QString _valor;

};

#endif // VALORDIALEG_H
